> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assess Dispositions

> Assess return line item dispositions.

### Required API key scope
- Returns




## OpenAPI

````yaml post /dispositioning/assess
openapi: 3.1.0
info:
  title: Dispositioning API
  description: Grade item conditions and assess return line item dispositions
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Grade Items
  - name: Assess Dispositions
paths:
  /dispositioning/assess:
    summary: Dispositions
    post:
      tags:
        - Assess Dispositions
      summary: Assess Dispositions
      description: |
        Assess return line item dispositions.

        ### Required API key scope
        - Returns
      operationId: assessDispositions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssessDispositionRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssessDispositionResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '422':
          description: Unprocessable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableResponse'
      security:
        - api_key: []
components:
  schemas:
    AssessDispositionRequest:
      type: object
      required:
        - items
      properties:
        items:
          description: An array of items to be dispositioned.
          type: array
          maxItems: 30
          items:
            $ref: '#/components/schemas/Disposition'
    AssessDispositionResponse:
      type: array
      maxItems: 30
      items:
        $ref: '#/components/schemas/Disposition'
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: '401'
            http_code:
              type: string
              example: GEN-UNAUTHORIZED
            message:
              type: string
              example: Unauthorized.
    UnprocessableResponse:
      type: object
      properties:
        message:
          type: string
          example: The items.0.images.0 must not be greater than 2048 characters.
        errors:
          type: object
    Disposition:
      type: object
      required:
        - line_item_id
        - disposition_outcome
      properties:
        line_item_id:
          type: integer
          example: 1
          description: The unique identifier associated with the line item.
        disposition_outcome:
          type: string
          enum:
            - back_to_stock
            - resale_hold
            - recycle
            - donate
            - missing
          description: The final state of the returned item.
        return_processor:
          type: string
          maxLength: 100
          example: warehouse-operator@example.com
          description: The email address of the warehouse partner used to process returns.
        note:
          type: string
          maxLength: 65535
          example: This item will be returned to stock after bagging and tagging.
          description: Any additional notes on the item's final state.
        inspected_at:
          type: string
          format: date-time
          example: '2024-03-31 23:59:59'
          description: >-
            The date and time at which the item was inspected, using the ISO
            8601 date format.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````